# https://docs.gitlab.com/ee/user/infrastructure/iac/terraform_state.html
# https://www.terraform.io/docs/language/settings/backends/http.html
# https://gitlab.com/gitlab-com/gl-infra/redis-chart-sandbox/-/terraform

export TF_HTTP_ADDRESS=https://gitlab.com/api/v4/projects/30678266/terraform/state/iwiedler
export TF_HTTP_LOCK_ADDRESS=https://gitlab.com/api/v4/projects/30678266/terraform/state/iwiedler/lock
export TF_HTTP_UNLOCK_ADDRESS=https://gitlab.com/api/v4/projects/30678266/terraform/state/iwiedler/lock
export TF_HTTP_USERNAME=iwiedler
export TF_HTTP_PASSWORD=redacted
export TF_HTTP_LOCK_METHOD=POST
export TF_HTTP_UNLOCK_METHOD=DELETE
export TF_HTTP_RETRY_WAIT_MIN=5

export TF_VAR_project="gitlab-scalability-epic-619"
export TF_VAR_region="us-east1"
export TF_VAR_dns_zone="redis-sandbox.internal"
export TF_VAR_create_default_cluster="true"
export TF_VAR_create_bench_cluster="true"
export TF_VAR_bench_vm_count=3
export TF_VAR_node_pool_name="redis-c2"
export TF_VAR_default_machine_type="c2-standard-8"
export TF_VAR_bench_machine_type="c2-standard-8"
export TF_VAR_boot_image="projects/ubuntu-os-cloud/global/images/ubuntu-2004-focal-v20210927"

# If false, we use 'glcoud compute ssh' instead of plain ssh
export USE_SSH="false"

# name of the VM to connect to, use X for the place where we insert a counter
#export VM_NAME_PATTERN="redis-ratelimiting-0X-db-pre.c.gitlab-pre.internal"
export VM_NAME_PATTERN="bench-redis-c2-vm-X"
#export VM_DNS_ZONE="c.gitlab-pre.internal"
export VM_START_COUNT=0

#export REDIS_CLUSTER_NAME="pre-redis-ratelimiting"
export REDIS_CLUSTER_NAME="gitlab-redis"

export RUN_CHEF_CLIENT='false'
